#include <QtGui>
#include "form.h"

#include <QtDebug>

MyLabel::MyLabel(QWidget *parent) : QLabel(parent)
{
    setPixmap(QPixmap("logo.gif"));
    setScaledContents(true);

    setAutoFillBackground(false);
    installEventFilter(this);

    movie = new QMovie("post.gif", "gif", this);
    connect(movie, SIGNAL(frameChanged(int)), this, SLOT(myslot2(int)));

    movie->start();
}

bool MyLabel::eventFilter(QObject *obj, QEvent *event)
{
    if( (event->type() == QEvent::Paint) && (obj == this) ) {
        removeEventFilter(this);
        QApplication::sendEvent(obj, event);
        installEventFilter(this);

        QPainter p(qobject_cast<QWidget*>(obj));
        p.drawImage(rect().center() - movie->frameRect().bottomRight(), image);
        return true;
    }
    return false;
}

void MyLabel::myslot2(int)
{
    image = movie->currentImage();
    update();
}
